; Configuration file for Duet 3 (firmware version 3)
; executed by the firmware on start-up
;
; Settings for cbeam machine bought from Avalontech

; General preferences
G90                                          ; send absolute coordinates...
M550 P"MyCNC"                                ; set printer name

; Network
M552 P192.168.0.56 S1                             ; enable network and acquire dynamic address via DHCP
M586 P0 S1                                   ; enable HTTP
M586 P1 S0                                   ; disable FTP
M586 P2 S0                                   ; disable Telnet

; Drives
M569 P0.0 S1                                 ; physical drive 0.0 goes forwards
M569 P0.1 S0                                 ; physical drive 0.1 goes forwards
M569 P0.2 S0                                 ; physical drive 0.2 goes forwards
M569 P0.4 S0                                 ; physical drive 0.4 goes forwards
M584 X0.0 Y0.1:0.4 Z0.2                          ; set drive mapping
M350 X8 Y8 Z8 I1                             ; configure microstepping with interpolation
M92 X200.00 Y200.00 Z200.00                  ; set steps per mm
M566 X60.00 Y60.00 Z60.00                    ; set maximum instantaneous speed changes (mm/min)
M203 X1800.00 Y1800.00 Z1800.00              ; set maximum speeds (mm/min)
M201 X50.00 Y50.00 Z50.00                    ; set accelerations (mm/s^2)
M906 X2400 Y2400 Z2400 I100                  ; set motor currents (mA)
M564 S1 H1                                   ; Disable jog commands when not homed


; Axis Limits
M208 X-250 Y-280 Z-63 S1                             ; set axis minima
M208 X0 Y0 Z0 S0                       ; set axis maxima

; Endstops
M574 X1 S1 P"io0.in"                         ; configure active-high endstop for low end on X via pin io0.in
M574 Y1 S1 P"io1.in"                         ; configure active-high endstop for low end on Y via pin io1.in
M574 Z1 S1 P"io2.in"                         ; configure active-high endstop for low end on Z via pin io2.in

; Z-Probe
M558 P5 C"!io7.in" H5 F120 T2400       ; set Z probe type to switch and the dive height + speeds
G31 P500 X0 Y0 Z2.5                          ; set Z probe trigger value, offset and trigger height
M557 X15:215 Y15:195 S20                     ; define mesh grid

; Heaters
M140 H-1                                     ; Disable heater

; Fans
M950 F0 C"out3" Q500                         ; create fan 0 on pin out3 and set its frequency
M106 P0 S0.5 H-1                             ; set fan 0 value. Thermostatic control is turned off

; Tools

; Custom settings are not defined
M453                                         ; Put the machine into CNC Modes
M501                                         ; Load config_override 